/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel;

import org.zhiqim.kernel.annotation.AnAlias;
import org.zhiqim.kernel.constants.ZhiqimConstants;
import org.zhiqim.kernel.global.Cls;
import org.zhiqim.kernel.global.Conf;
import org.zhiqim.kernel.global.Glb;
import org.zhiqim.kernel.global.Serv;

/**
 * 工程全局数据读写入口<br><br>
 * 1、全局配置管理器，配置文件数据管理<br>
 * 2、全局服务管理器，配置的全部服务
 * 3、全局类别名管理器，加载AnAlias别名类
 * 4、全局变量管理器，注册到全局变量中的单例或多例，并支持获取对象
 * 
 * @version v1.0.0 @author zouzhigang 2014-2-27 新建与整理
 */
@AnAlias("Z") 
public final class Z implements ZhiqimConstants
{
    /** 全局数据 */
    private static final Conf conf = new Conf();
    private static final Serv serv = new Serv();
    private static final Cls  cls  = new Cls();
    private static final Glb  glb  = new Glb();
    
    /** 禁实例 */
    private Z(){}
    
    /** 全局配置管理器 */
    public static Conf conf()
    {
        return conf;
    }
    
    /** 全局服务管理器 */
    public static Serv serv()
    {
        return serv;
    }
    
    /** 全局类别名管理器 */
    public static Cls cls()
    {
        return cls;
    }
    
    /** 全局实例管理器 */
    public static Glb glb()
    {
        return glb;
    }
}
