/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.config;

import org.zhiqim.kernel.constants.SignConstants;

/**
 * 配置项类型
 *
 * @version v1.4.1 @author zouzhigang 2018-4-20 新建与整理
 */
public enum ItemType
{
    /*****************************************************************************/
    //枚举类型定义
    /*****************************************************************************/
    
    /** 公开 */
    PUBLIC,
    
    /** 私有 */
    PRIVATE,
    
    /** 保护 */
    PROTECTED;
    
    /*****************************************************************************/
    //枚举调用方法
    /*****************************************************************************/
    
    public static ItemType toType(String type)
    {
        if (SignConstants._PUBLIC_.equals(type))
            return PUBLIC;
        else if (SignConstants._PRIVATE_.equals(type))
            return PRIVATE;
        else
            return PROTECTED;
    }
    
    public static String toString(ItemType type)
    {
        switch (type)
        {
        case PUBLIC:return SignConstants._PUBLIC_;
        case PRIVATE:return SignConstants._PRIVATE_;
        default:return SignConstants._PROTECTED_;
        }
    }
}
