/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.constants;

import org.zhiqim.kernel.annotation.AnAlias;

/**
 * HTML常量定义
 *
 * @version v1.0.0 @author zouzhigang 2014-2-27 新建与整理
 */
@AnAlias("HtmlConstants")
public interface HtmlConstants extends SignConstants
{
    /*************************************************************/
    //Html相关
    /*************************************************************/
    
    String _HTML_5_TYPE_        = "<!DOCTYPE html>";
    
    String _HTML                = "<html>";
    String  HTML_               = "</html>";
    String _HEAD                = "<head>";
    String  HEAD_               = "</head>";
    String _TITLE               = "<title>";
    String  TITLE_              = "</title>";
    String _SCRIPT              = "<script>";
    String _SCRIPT_PRE          = "<script";
    String _SCRIPT_BR           = "<script>\r\n";
    String  SCRIPT_             = "</script>";
    String _STYLE               = "<style>";
    String _STYLE_BR            = "<style>\r\n";
    String  STYLE_              = "</style>";
    
    String _BODY                = "<body>";
    String  BODY_               = "</body>";
    
    String _TABLE               = "<table id=\"%id\" width=\"%w\" align=\"%a\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"%b\" class=\"%c\" sytle=\"%s\">";
    String  TABLE_              = "</table>";
    String _TR                  = "<tr>";
    String  TR_                 = "</tr>";
    String _TD                  = "<td id=\"%id\" width=\"%w\" align=\"%a\" class=\"%c\" sytle=\"%s\">";
    String  TD_                 = "</td>";
    
    String _DIV                 = "<div id=\"%id\" class=\"%c\" sytle=\"%s\">";
    String  DIV_                = "</div>";
    
    /*************************************************************/
    //Script相关
    /*************************************************************/

    String SCRIPT_HEAD_VALIDATE = "function validateForm(form)\r\n{\r\n";
    String SCRIPT_TAIL_VALIDATE = _FOUR_ + "return true;\r\n}\r\n\r\n";
    
    String SCRIPT_HEAD_SUBMIT   = "function submitForm(form)\r\n{\r\n";
    String SCRIPT_TAIL_SUBMIT   = "}\r\n\r\n";
}
