/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.constants;

import org.zhiqim.kernel.annotation.AnAlias;

/**
 * Zhiqim常量定义
 *
 * @version v1.0.0 @author zouzhigang 2014-2-27  新建与整理
 * @version v1.3.0 @author zouzhigang 2016-2-27  修改为1.3.0版本
 * @version v1.4.0 @author zouzhigang 2017-11-20 修改为1.4.0版本
 * @version v1.5.0 @author zouzhigang 2018-8-15  修改为1.5.0版本
 */
@AnAlias("ZhiqimConstants")
public interface ZhiqimConstants extends SignConstants
{
    String Z_NAME                       = "zhiqim";
    String Z_NAME_CN                    = "知启蒙";
    String Z_VERSION                    = "V8.0.4";
    String Z_KEY                        = "Zhiqim-Key";
    String Z_CLASS_LOADER               = "Zhiqim-ClassLoader";
    
    /******************************************************************/
    //Zhiqim 工程结构常量
    /******************************************************************/
    
    String Z_LIB_FOLDER                 = "./lib";
    String Z_LIB_ZHIQIM_JAR             = "./lib/zhiqim.jar";
    String Z_CONF_FOLDER                = "./conf";
    String Z_CONF_ZHIQIM_XML            = "./conf/zhiqim.xml";
    String Z_CONF_ZHIQIM_INI            = "./conf/zhiqim.ini";
    
    /******************************************************************/
    //Zhiqim 默认配置常量
    /******************************************************************/
    
    String Z_BOOT                       = "boot";
    String Z_CONFIG                     = "config";
    String Z_SERVICE                    = "service";
    String Z_SERVICE_LOADER             = "service.loader";
    
    String Z_ITEM_NAME                  = _NAME_;
    String Z_ITEM_VERSION               = _VERSION_;
    String Z_ITEM_PORT                  = "port";
    String Z_ITEM_LIBEXT                = "libext";
    String Z_ITEM_INCLUDE               = "include";
    String Z_ITEM_EXCLUDE               = "exclude";
    
    /******************************************************************/
    //Zhiqim 支持的命令常量
    /******************************************************************/
    
    String Z_START_A                    = "-s";
    String Z_CLOSE_A                    = "-c";
    String Z_INFO_A                     = "-i";
    String Z_TEST_A                     = "-t";
    String Z_RELOAD_A                   = "-r";
    String Z_LOADER_A                   = "-l";
    String Z_HELP_A                     = "-h";
    String Z_QUESTION_A                 = "-?";
    
    String Z_START_C                    = "start";
    String Z_CLOSE_C                    = "close";
    String Z_INFO_C                     = "info";
    String Z_TEST_C                     = "test";
    String Z_RELOAD_C                   = "reload";
    String Z_LORDER_C                   = "loader";
    String Z_HELP_C                     = "help";
    String Z_QUESTION_C                 = "?";
    
    /******************************************************************/
    //Zhiqim 配置常量
    /******************************************************************/
    
    String Z_CONFIG_DTD_PATH            = "/org/zhiqim/kernel/config/zhiqim_config_8_0_0.dtd";
    
    String Z_CONFIG_DTD_PUBLIC_ID       = "-//ZHIQIM //DTD Zhiqim-Config Configuration 8.0.0//EN";
    String Z_CONFIG_DTD_URL             = "http://zhiqim.org/xmldtds/zhiqim_config_8_0_0.dtd";
    String Z_CONFIG_XML_DOCTYPE         = "<!DOCTYPE zhiqim-config PUBLIC \""+ Z_CONFIG_DTD_PUBLIC_ID +"\" \""+ Z_CONFIG_DTD_URL +"\">";

    String Z_CONFIG_XML_HEAD            = "<zhiqim-config>";
    String Z_CONFIG_XML_TAIL            = "</zhiqim-config>";
    
    String GROUP                        = "group";
    String ID                           = _ID_;
    String DESC                         = "desc";
    
    String ITEM                         = "item";
    String KEY                          = _KEY_;
    String VALUE                        = _VALUE_;
    String TYPE                         = _TYPE_;
}
