/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.json;

/**
 * JSON解析器接口
 *
 * @version v1.0.0 @author zouzhigang 2014-3-21 新建与整理
 */
public interface JsonParser
{
    long MAX_JS_LONG_VALUE = (long)Math.pow(2, 53);//2^53//9007199254740992
    
    /**
     * 解析对象成JSON字符串
     * 
     * @param obj   对象
     * @return      JSON字符串
     */
    String toString(Object obj);
    
    /**
     * 解析JSON字符串成对象
     * 
     * @param json  JSON字符串
     * @param cls   对象类结构
     * @return      返回对象
     */
    Object toObject(String json, Class<?> cls);
}
