/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.json.parser;

import java.util.Collection;
import java.util.List;

import org.zhiqim.kernel.json.Json;
import org.zhiqim.kernel.json.JsonParser;
import org.zhiqim.kernel.json.Jsons;
import org.zhiqim.kernel.util.Classes;

/**
 * 列表解析器
 *
 * @version v1.0.0 @author zouzhigang 2014-3-21 新建与整理
 */
public class ListParser implements JsonParser
{
    private Json jsonMain;
    
    public ListParser(Json jsonMain)
    {
        this.jsonMain = jsonMain;
    }

    @Override
    public String toString(Object obj)
    {
        Collection<?> list = (Collection<?>)obj;
        if (list.isEmpty())
            return "[]";
        
        StringBuilder strb = new StringBuilder("[");
        for (Object o : list)
        {
            strb.append(jsonMain.toString(o)).append(",");
        }
        strb.setLength(strb.length()-1);
        strb.append("]");
        return strb.toString();
    }

    @Override
    public Object toObject(String json, Class<?> cls)
    {
        Collection<Object> rst = Classes.newCollection(cls);
        if (rst == null)
        {//不支持的集合类型
            return null;
        }
        
        List<String> list = Jsons.toListByArray(json);
        for (String str : list)
        {
            rst.add(str);
        }
        
        return rst;
    }

}
