/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.logging;

import java.util.HashMap;

import org.zhiqim.kernel.logging.logger.ZhiqimLogger;

/**
 * 日志封装器，等级对应的日志记录器
 *
 * @version v1.0.0 @author zouzhigang 2019-4-22 新建与整理
 */
public class LoggerWapper implements LogConstants
{
    private HashMap<Integer, ZhiqimLogger> wapper = new HashMap<>();
    
    /** 设置等级对应的日志记录器 */
    public void put(int level, ZhiqimLogger logger)
    {
        wapper.put(level, logger);
    }
    
    /** 获取等级对应的日志记录器 */
    public ZhiqimLogger get(int level)
    {
        return wapper.get(level);
    }
    
    /** 清理 */
    public void clear()
    {
        wapper.clear();
    }
}
