/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.model.mutables;

import org.zhiqim.kernel.constants.SignConstants;

/**
 * 定义可变的字节缓冲，用于线程内重复使用缓冲
 *
 * @version v1.0.0 @author zouzhigang 2017-5-19 新建与整理
 */
public final class MBuf implements SignConstants, AutoCloseable
{
    public volatile byte[] value;
    
    /*******************************************************/
    //两个构造函数，默认1KiB
    /*******************************************************/
    
    public MBuf()
    {
        this(KiB);
    }
    
    public MBuf(int len)
    {
        value = new byte[len];
    }
    
    
    /*******************************************************/
    //常用方法
    /*******************************************************/
    
    public byte[] val()
    {
        return value;
    }
    
    public MBuf val(byte[] val)
    {
        this.value = val;
        return this;
    }
    
    public MBuf val(MBuf val)
    {
        this.value = val.value;
        return this;
    }
    
    public int len()
    {
        return value.length;
    }
    
    /*******************************************************/
    //实现关闭
    /*******************************************************/
    
    public void close()
    {
        value = null;
    }
}
