/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.model.results;

/**
 * 调用结果（用于替换异常、错误码和正确两个情况的结果）
 *
 * @version v8.0.1 @author zgzou 2022年2月3日 新建与整理
 */
public abstract class R<T>
{
    protected T value;
    
    /** 是否成功 */
    public abstract boolean success();
    
    /** 安全检查，有异常则抛异常 */
    protected abstract void check();
    
    /** 是否失败 */
    public boolean failure()
    {
        return !success();
    }
    
    /** 安全结果 */
    public T result()
    {
        if (!success())
            check();
        
        return value; 
    }
    
    /** 获取结果 */
    public T value()
    {
        return value;
    }
}
